Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 267)
@@ -78,37 +78,37 @@
         public bool SelectAction(string AddSQLString, ref List<RequestData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " RequestNo";
-                strcmd += " ,MainConstructionCode";
+                strcmd.Append("SELECT");
+                strcmd.Append(" RequestNo");
+                strcmd.Append(" ,MainConstructionCode");
 
-                strcmd += " ,ConstructionName";
-                strcmd += " ,ContractAmount";
-                strcmd += " ,PaidAmount";
-                strcmd += " ,RequestAmount0";
-                strcmd += " ,RequestAmount1";
-                strcmd += " ,RequestAmount2";
-                strcmd += " ,RequestAmount3";
-                strcmd += " ,RequestAmount4";
-                strcmd += " ,RequestAmount5";
-                strcmd += " ,RequestAmount6";
-                strcmd += " ,UnclaimedAmount";
-                strcmd += " ,UnpaidAmount";
-                strcmd += " ,TaxAmount";
-                strcmd += " ,Note";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM RequestData";
-                strcmd += AddSQLString;
+                strcmd.Append(" ,ConstructionName");
+                strcmd.Append(" ,ContractAmount");
+                strcmd.Append(" ,PaidAmount");
+                strcmd.Append(" ,RequestAmount0");
+                strcmd.Append(" ,RequestAmount1");
+                strcmd.Append(" ,RequestAmount2");
+                strcmd.Append(" ,RequestAmount3");
+                strcmd.Append(" ,RequestAmount4");
+                strcmd.Append(" ,RequestAmount5");
+                strcmd.Append(" ,RequestAmount6");
+                strcmd.Append(" ,UnclaimedAmount");
+                strcmd.Append(" ,UnpaidAmount");
+                strcmd.Append(" ,TaxAmount");
+                strcmd.Append(" ,Note");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM RequestData");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -122,7 +122,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -136,7 +136,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<RequestData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
@@ -148,7 +148,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -163,43 +163,43 @@
         /// <returns></returns>
         public bool InsertAction(RequestData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO RequestData";
-                strcmd += " VALUES (";
+                strcmd.Append("INSERT INTO RequestData");
+                strcmd.Append(" VALUES (");
 
-                strcmd += string.Format(" {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat(" {0}", data.RequestNo.ToString());
 
-                strcmd += string.Format(", {0}", data.MainConstructionCode.ToString());
-                strcmd += string.Format(", '{0}'", data.ConstructionName.ToString());
+                strcmd.AppendFormat(", {0}", data.MainConstructionCode.ToString());
+                strcmd.AppendFormat(", '{0}'", data.ConstructionName.ToString());
 
-                strcmd += string.Format(", {0}", data.ContractAmount.ToString());
-                strcmd += string.Format(", {0}", data.PaidAmount.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount0.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount1.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount2.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount3.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount4.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount5.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount6.ToString());
-                strcmd += string.Format(", {0}", data.UnclaimedAmount.ToString());
-                strcmd += string.Format(", {0}", data.UnpaidAmount.ToString());
-                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
-                strcmd += string.Format(", '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(", {0}", data.ContractAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.PaidAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount0.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount1.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount2.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount3.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount4.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount5.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount6.ToString());
+                strcmd.AppendFormat(", {0}", data.UnclaimedAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.UnpaidAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(", '{0}'", data.Note.ToString());
 
-                strcmd += ", NOW()";
-                strcmd += ", NOW()";
-                strcmd += ")";
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -214,43 +214,43 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, RequestData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE RequestData";
+                strcmd.Append("UPDATE RequestData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionName = '{0}'", data.ConstructionName.ToString());
-                strcmd += string.Format(",ContractAmount = {0}", data.ContractAmount.ToString());
-                strcmd += string.Format(",PaidAmount = {0}", data.PaidAmount.ToString());
+                strcmd.AppendFormat(" ConstructionName = '{0}'", data.ConstructionName.ToString());
+                strcmd.AppendFormat(",ContractAmount = {0}", data.ContractAmount.ToString());
+                strcmd.AppendFormat(",PaidAmount = {0}", data.PaidAmount.ToString());
 
-                strcmd += string.Format(",RequestAmount0 = {0}", data.RequestAmount0.ToString());
-                strcmd += string.Format(",RequestAmount1 = {0}", data.RequestAmount1.ToString());
-                strcmd += string.Format(",RequestAmount2 = {0}", data.RequestAmount2.ToString());
-                strcmd += string.Format(",RequestAmount3 = {0}", data.RequestAmount3.ToString());
-                strcmd += string.Format(",RequestAmount4 = {0}", data.RequestAmount4.ToString());
-                strcmd += string.Format(",RequestAmount5 = {0}", data.RequestAmount5.ToString());
-                strcmd += string.Format(",RequestAmount6 = {0}", data.RequestAmount6.ToString());
+                strcmd.AppendFormat(",RequestAmount0 = {0}", data.RequestAmount0.ToString());
+                strcmd.AppendFormat(",RequestAmount1 = {0}", data.RequestAmount1.ToString());
+                strcmd.AppendFormat(",RequestAmount2 = {0}", data.RequestAmount2.ToString());
+                strcmd.AppendFormat(",RequestAmount3 = {0}", data.RequestAmount3.ToString());
+                strcmd.AppendFormat(",RequestAmount4 = {0}", data.RequestAmount4.ToString());
+                strcmd.AppendFormat(",RequestAmount5 = {0}", data.RequestAmount5.ToString());
+                strcmd.AppendFormat(",RequestAmount6 = {0}", data.RequestAmount6.ToString());
 
-                strcmd += string.Format(",UnclaimedAmount = {0}", data.UnclaimedAmount.ToString());
-                strcmd += string.Format(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
-                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
-                strcmd += string.Format(",Note = '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",UnclaimedAmount = {0}", data.UnclaimedAmount.ToString());
+                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(",Note = '{0}'", data.Note.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
+                strcmd.Append(", UpdateDate = NOW()");
 
-                strcmd += string.Format(" Where RequestNo = {0} And MainConstructionCode = {1}", data.RequestNo.ToString(), data.MainConstructionCode.ToString());
-                strcmd += AddSQLString;
+                strcmd.AppendFormat(" Where RequestNo = {0} And MainConstructionCode = {1}", data.RequestNo.ToString(), data.MainConstructionCode.ToString());
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -289,18 +289,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM RequestData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RequestData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -401,21 +401,21 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int RequestNo, int MainConstructionCode = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+                strWork.AppendFormat(" Where RequestNo = {0}", RequestNo.ToString());
                 if (MainConstructionCode > 0)
                 {
-                    strWork += string.Format(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
+                    strWork.AppendFormat(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
                 }
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 267)
@@ -68,27 +68,27 @@
         public bool SelectAction(string AddSQLString, ref List<RequestDataDetail> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " RequestNo";
-                strcmd += " ,MainConstructionCode";
-                strcmd += " ,ConstructionCode";
+                strcmd.Append("SELECT");
+                strcmd.Append(" RequestNo");
+                strcmd.Append(" ,MainConstructionCode");
+                strcmd.Append(" ,ConstructionCode");
 
-                strcmd += " ,ConstructionKind";
-                strcmd += " ,RequestAmount";
-                strcmd += " ,TaxAmount";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM RequestDataDetail";
-                strcmd += AddSQLString;
+                strcmd.Append(" ,ConstructionKind");
+                strcmd.Append(" ,RequestAmount");
+                strcmd.Append(" ,TaxAmount");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM RequestDataDetail");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -102,7 +102,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -116,7 +116,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<RequestDataDetail> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
@@ -128,7 +128,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -143,32 +143,32 @@
         /// <returns></returns>
         public bool InsertAction(RequestDataDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO RequestDataDetail";
-                strcmd += " VALUES (";
+                strcmd.Append("INSERT INTO RequestDataDetail");
+                strcmd.Append(" VALUES (");
 
-                strcmd += string.Format(" {0}", data.RequestNo.ToString());
-                strcmd += string.Format(", {0}", data.MainConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(" {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat(", {0}", data.MainConstructionCode.ToString());
+                strcmd.AppendFormat(", {0}", data.ConstructionCode.ToString());
 
-                strcmd += string.Format(", {0}", data.ConstructionKind.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount.ToString());
-                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.ConstructionKind.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
 
-                strcmd += ", NOW()";
-                strcmd += ", NOW()";
-                strcmd += ")";
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -183,32 +183,32 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, RequestDataDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE RequestDataDetail";
+                strcmd.Append("UPDATE RequestDataDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionKind = '{0}'", data.ConstructionKind.ToString());
-                strcmd += string.Format(",RequestAmount = {0}", data.RequestAmount.ToString());
-                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(" ConstructionKind = '{0}'", data.ConstructionKind.ToString());
+                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount.ToString());
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
+                strcmd.Append(", UpdateDate = NOW()");
 
-                strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
-                strcmd += string.Format("  And MainConstructionCode = {0}", data.MainConstructionCode.ToString());
-                strcmd += string.Format("  And ConstructionCode = {0} ", data.ConstructionCode.ToString());
-                strcmd += AddSQLString;
+                strcmd.AppendFormat(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat("  And MainConstructionCode = {0}", data.MainConstructionCode.ToString());
+                strcmd.AppendFormat("  And ConstructionCode = {0} ", data.ConstructionCode.ToString());
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -248,18 +248,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM RequestDataDetail", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RequestDataDetail", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -340,26 +340,26 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int RequestNo, int MainConstructionCode = 0, int ConstructionCode = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+                strWork.AppendFormat(" Where RequestNo = {0}", RequestNo.ToString());
                 if (MainConstructionCode > 0)
                 {
-                    strWork += string.Format(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
+                    strWork.AppendFormat(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
                 }
                 if (ConstructionCode > 0)
                 {
-                    strWork += string.Format(" And ConstructionCode = {0}", ConstructionCode.ToString());
+                    strWork.AppendFormat(" And ConstructionCode = {0}", ConstructionCode.ToString());
                 }
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
